javax.ws.rs.core

## Class Link.JaxbLink

- java.lang.Object
- - javax.ws.rs.core.Link.JaxbLink

- Enclosing class:
    Link

      public static class Link.JaxbLink
      extends Object

  Value type for `Link` that can be marshalled and unmarshalled by JAXB.
  Since:
    2.0
  See Also:
    `Link.JaxbAdapter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link.JaxbLink()` Default constructor needed during unmarshalling.
    `Link.JaxbLink(URI uri)` Construct an instance from a URI and no parameters.
    `Link.JaxbLink(URI uri, Map<QName,Object> params)` Construct an instance from a URI and some parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<QName,Object>` | `getParams()` Get the parameter map for this link.
    `URI` | `getUri()` Get the underlying URI for this link.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Link.JaxbLink

          public Link.JaxbLink()

      Default constructor needed during unmarshalling.

    - #### Link.JaxbLink

          public Link.JaxbLink(URI uri)

      Construct an instance from a URI and no parameters.
      Parameters:
        `uri` - underlying URI.

    - #### Link.JaxbLink

          public Link.JaxbLink(URI uri,
                       Map<QName,Object> params)

      Construct an instance from a URI and some parameters.
      Parameters:
        `uri` - underlying URI.
        `params` - parameters of this link.

  - ### Method Detail

    - #### getUri

          public URI getUri()

      Get the underlying URI for this link.
      Returns:
        underlying URI.

    - #### getParams

          public Map<QName,Object> getParams()

      Get the parameter map for this link.
      Returns:
        parameter map.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.